
Jupiter - Błąd #1741
Zadanie # 1725 (Rozwiązany): Serwis do parsowania bibliografii
problem jeśli wybrany format jest inny niż treść bibliografii
2017-06-22 13:09 - Łukasz Waśkiewicz

Status: Zamknięty Start date: 2017-06-22
Priority: Normalny Due date:
Assignee: Łukasz Waśkiewicz % Done: 100%
Category: web Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Rewizja zgłoszenia GIT:0d1cc32d2354f21c3bd322e6fa8ee327596b3934
Tester: Łukasz Waśkiewicz Rewizja rozwiązania GIT:d3e6b6684303dae20b2bebbe3ab8c9a03711198a
Występuje w wersji: 0.3 Rewizja testów GIT: aa6cb0c0
Waga błędu: Mała
Description

parametr format zostanie pominięty jeśli rozszerzenie lub początek treści pasuje do innego parsera (który jest wcześniej na liście)

UI nie pozwala na format null

Associated revisions
Revision d3e6b668 - 2017-06-23 13:50 - Michał Komar

refs #1741: Poprawienie działania parsowania bibliografii

Revision 75fa1342 - 2017-06-28 11:14 - Michał Komar

refs #1741: Używanie plaintext, gdy pozostałe nie zostały dopasowane.

Revision 3f2c9c4c - 2017-06-28 12:15 - Michał Komar

refs #1741: Poprawienie tempstorage

History
#1 - 2017-06-22 13:11 - Łukasz Waśkiewicz
- Description updated

#2 - 2017-06-23 13:52 - Michał Komar
- Category set to web
- Status changed from Nowy to Rozwiązany
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Target version set to 0.3
- % Done changed from 0 to 100
- Występuje w wersji changed from 0.4 to 0.3
- Rewizja rozwiązania GIT set to d3e6b6684303dae20b2bebbe3ab8c9a03711198a

Format jest opcjonalny w kontrolerze.
Jeżeli format jest zdefiniowany, parsowanie odbywa się po tym formacie.
Jeżeli format nie jest zdefiniowany, format wykrywany jest po nazwie pliku i początku wejścia.

#3 - 2017-06-27 12:41 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

to ok, jest jeszcze problem, gdy próbujemy parsować losowy tekst, bez wybranego formatu
żaden z parserów nie jest stosowany i leci wyjątek

#4 - 2017-06-28 11:15 - Michał Komar
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Rewizja testów GIT set to 75fa13425f18c8a84af88575ace3dd723bc5406c

Poprawione. Wybór zawsze fallbackuje do plaintext.

Poczekaj z testami aż Monika poprawi wysyłanie formatu.

#5 - 2017-06-29 12:16 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Zamknięty
- Rewizja testów GIT changed from 75fa13425f18c8a84af88575ace3dd723bc5406c to aa6cb0c0

OK
